"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var CloudTrailClient_1 = require("./CloudTrailClient");
var AddTagsCommand_1 = require("./commands/AddTagsCommand");
var CreateTrailCommand_1 = require("./commands/CreateTrailCommand");
var DeleteTrailCommand_1 = require("./commands/DeleteTrailCommand");
var DescribeTrailsCommand_1 = require("./commands/DescribeTrailsCommand");
var GetEventSelectorsCommand_1 = require("./commands/GetEventSelectorsCommand");
var GetTrailStatusCommand_1 = require("./commands/GetTrailStatusCommand");
var ListPublicKeysCommand_1 = require("./commands/ListPublicKeysCommand");
var ListTagsCommand_1 = require("./commands/ListTagsCommand");
var LookupEventsCommand_1 = require("./commands/LookupEventsCommand");
var PutEventSelectorsCommand_1 = require("./commands/PutEventSelectorsCommand");
var RemoveTagsCommand_1 = require("./commands/RemoveTagsCommand");
var StartLoggingCommand_1 = require("./commands/StartLoggingCommand");
var StopLoggingCommand_1 = require("./commands/StopLoggingCommand");
var UpdateTrailCommand_1 = require("./commands/UpdateTrailCommand");
var CloudTrail = /** @class */ (function (_super) {
    tslib_1.__extends(CloudTrail, _super);
    function CloudTrail() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    CloudTrail.prototype.addTags = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new AddTagsCommand_1.AddTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CloudTrail.prototype.createTrail = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateTrailCommand_1.CreateTrailCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CloudTrail.prototype.deleteTrail = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteTrailCommand_1.DeleteTrailCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CloudTrail.prototype.describeTrails = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeTrailsCommand_1.DescribeTrailsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CloudTrail.prototype.getEventSelectors = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetEventSelectorsCommand_1.GetEventSelectorsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CloudTrail.prototype.getTrailStatus = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetTrailStatusCommand_1.GetTrailStatusCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CloudTrail.prototype.listPublicKeys = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListPublicKeysCommand_1.ListPublicKeysCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CloudTrail.prototype.listTags = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListTagsCommand_1.ListTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CloudTrail.prototype.lookupEvents = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new LookupEventsCommand_1.LookupEventsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CloudTrail.prototype.putEventSelectors = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutEventSelectorsCommand_1.PutEventSelectorsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CloudTrail.prototype.removeTags = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RemoveTagsCommand_1.RemoveTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CloudTrail.prototype.startLogging = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StartLoggingCommand_1.StartLoggingCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CloudTrail.prototype.stopLogging = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StopLoggingCommand_1.StopLoggingCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CloudTrail.prototype.updateTrail = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateTrailCommand_1.UpdateTrailCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return CloudTrail;
}(CloudTrailClient_1.CloudTrailClient));
exports.CloudTrail = CloudTrail;
//# sourceMappingURL=CloudTrail.js.map