"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StopLogging_1 = require("../model/operations/StopLogging");
var StopLoggingCommand = /** @class */ (function () {
    function StopLoggingCommand(input) {
        this.input = input;
        this.model = StopLogging_1.StopLogging;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StopLoggingCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StopLoggingCommand;
}());
exports.StopLoggingCommand = StopLoggingCommand;
//# sourceMappingURL=StopLoggingCommand.js.map