"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListTagsInput_1 = require("../shapes/ListTagsInput");
var ListTagsOutput_1 = require("../shapes/ListTagsOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var CloudTrailARNInvalidException_1 = require("../shapes/CloudTrailARNInvalidException");
var ResourceTypeNotSupportedException_1 = require("../shapes/ResourceTypeNotSupportedException");
var InvalidTrailNameException_1 = require("../shapes/InvalidTrailNameException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var OperationNotPermittedException_1 = require("../shapes/OperationNotPermittedException");
var InvalidTokenException_1 = require("../shapes/InvalidTokenException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListTags = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListTags",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListTagsInput_1.ListTagsInput
    },
    output: {
        shape: ListTagsOutput_1.ListTagsOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: CloudTrailARNInvalidException_1.CloudTrailARNInvalidException
        },
        {
            shape: ResourceTypeNotSupportedException_1.ResourceTypeNotSupportedException
        },
        {
            shape: InvalidTrailNameException_1.InvalidTrailNameException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        },
        {
            shape: OperationNotPermittedException_1.OperationNotPermittedException
        },
        {
            shape: InvalidTokenException_1.InvalidTokenException
        }
    ]
};
//# sourceMappingURL=ListTags.js.map